#ifndef PAMVMC_CROSS_S11Y_H
#define PAMVMC_CROSS_S11Y_H

#include "PamVMCVolCross.h"

class PamVMCCrossS11Y  : public PamVMCVolCross {

 private:

  Bool_t fS11Y;

 public:

   PamVMCCrossS11Y():PamVMCVolCross("S11Y") 
  { fS11Y=kFALSE; };
   
  virtual void FillCrossMap(){ fS11Y=kTRUE; }

  Bool_t IsVolCross(){ return fS11Y; }

  virtual void Reset(){ fS11Y=kFALSE; }

  ClassDef(PamVMCCrossS11Y,1)
};


#endif //PAMVMC_CROSS_S11Y_H

#ifndef PAMVMC_CROSS_S12X_H
#define PAMVMC_CROSS_S12X_H



class PamVMCCrossS12X  : public PamVMCVolCross {

 private:

  Bool_t fS12X;

 public:

   PamVMCCrossS12X():PamVMCVolCross("S12X") 
  { fS12X=kFALSE; };
   
  virtual void FillCrossMap(){ fS12X=kTRUE;}

  Bool_t IsVolCross(){ return fS12X; }

  virtual void Reset(){ fS12X=kFALSE; }

  ClassDef(PamVMCCrossS12X,1)
};


#endif //PAMVMC_CROSS_S12X_H

#ifndef PAMVMC_CROSS_S21X_H
#define PAMVMC_CROSS_S21X_H



class PamVMCCrossS21X  : public PamVMCVolCross {

 private:

  Bool_t fS21X;

 public:

   PamVMCCrossS21X():PamVMCVolCross("S21X") 
  { fS21X=kFALSE; };
   
  virtual void FillCrossMap(){ fS21X=kTRUE;}

  Bool_t IsVolCross(){ return fS21X; }

  virtual void Reset(){ fS21X=kFALSE; }

  ClassDef(PamVMCCrossS21X,1)
};


#endif //PAMVMC_CROSS_S21X_H

#ifndef PAMVMC_CROSS_S22Y_H
#define PAMVMC_CROSS_S22Y_H



class PamVMCCrossS22Y  : public PamVMCVolCross {

 private:

  Bool_t fS22Y;

 public:

   PamVMCCrossS22Y():PamVMCVolCross("S22Y") 
  { fS22Y=kFALSE; };
   
  virtual void FillCrossMap(){ fS22Y=kTRUE; }

  Bool_t IsVolCross(){ return fS22Y; }

  virtual void Reset(){ fS22Y=kFALSE; }

  ClassDef(PamVMCCrossS22Y,1)
};


#endif //PAMVMC_CROSS_S22Y_H


#ifndef PAMVMC_CROSS_S31Y_H
#define PAMVMC_CROSS_S31Y_H



class PamVMCCrossS31Y  : public PamVMCVolCross {

 private:

  Bool_t fS31Y;

 public:

   PamVMCCrossS31Y():PamVMCVolCross("S31Y") 
  { fS31Y=kFALSE; };
   
  virtual void FillCrossMap(){ fS31Y=kTRUE;}

  Bool_t IsVolCross(){ return fS31Y; }

  virtual void Reset(){ fS31Y=kFALSE; }

  ClassDef(PamVMCCrossS31Y,1)
};


#endif //PAMVMC_CROSS_S31Y_H

#ifndef PAMVMC_CROSS_S32X_H
#define PAMVMC_CROSS_S32X_H



class PamVMCCrossS32X  : public PamVMCVolCross {

 private:

  Bool_t fS32X;

 public:

   PamVMCCrossS32X():PamVMCVolCross("S32X") 
  { fS32X=kFALSE; };
   
  virtual void FillCrossMap(){ fS32X=kTRUE;}

  Bool_t IsVolCross(){ return fS32X; }

  virtual void Reset(){ fS32X=kFALSE; }

  ClassDef(PamVMCCrossS32X,1)
};


#endif //PAMVMC_CROSS_S32X_H
